Dependencia

Dependencia

La librería proporcionada por Octopush.me depende directamente de los siguientes proyectos:

<dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
            <version>2.2.2</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>commons-httpclient</groupId>
            <artifactId>commons-httpclient</artifactId>
            <version>3.1-jbossorg-1</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
            <version>1.2.16</version>
            <type>jar</type>
        </dependency>

 

Si el usuario utiliza Maven, las siguientes librerías se incluyen automáticamente, ya que algunas de las anteriores dependen de ellas. Si en algún proyecto no se utilizan, es necesario incluirla manualmente:

<dependency>
            <groupId>commons-logging</groupId>
            <artifactId>commons-logging</artifactId>
            <version>1.1.1</version>
        </dependency>
	




  <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
            <version>1.9</version>
            <type>jar</type>
        </dependency>

 

Dependencia